SELECT CompanyName, ContactName
FROM Customers
WHERE City = 'Buenos Aires';

SELECT ProductName, UnitPrice, QuantityPerUnit
FROM Products
WHERE UnitsInStock=0;

/******************************
For the third problem, both of the solutions below will work in SQL Server

Oracle Solution
******************************/
SELECT OrderDate, ShippedDate, CustomerID, Freight
FROM Orders
WHERE OrderDate = '19-May-1997';

/******************************
MySQL Solution
******************************/
SELECT OrderDate, ShippedDate, CustomerID, Freight
FROM Orders
WHERE OrderDate = '1997-05-19';

SELECT FirstName, LastName, Country
FROM Employees
WHERE Country <> 'USA';